Home > Cannot Load > /usr/lib/apache2/modules/libphp5.so: Cannot Open Shared Object File: No Such File Or Directory

/usr/lib/apache2/modules/libphp5.so: Cannot Open Shared Object File: No Such File Or Directory

Contents

I'm something of a beginner when it comes to servers, and I'm having some issues with restarting apache on my Debian web server. uninstall/install throw a different error. I'm using PHP 5.5.18 and would be better to keep the same version avoiding downgrade to PHP5.4. I'll hope there is easy way to solve this problem. :) apache2 php do-release-upgrade share|improve this question edited Sep 4 '14 at 12:25 Benoit 5,43211027 asked Sep 4 '14 at 12:17 have a peek at this web-site

Post your question in this forum. papitu76 View Public Profile View LQ Blog View Review Entries View HCL Entries Visit papitu76's homepage! Can clients learn their time zone on a network configured using RA? It contains the # configuration directives that give the server its instructions. # See http://httpd.apache.org/docs/2.4/ for detailed information about # the directives and /usr/share/doc/apache2/README.Debian about Debian specific # hints. # # have a peek at this web-site

/usr/lib/apache2/modules/libphp5.so: Cannot Open Shared Object File: No Such File Or Directory

How to disable the high priority publish option in SDL Tridion My cat sat down on my laptop, now the right side of my keyboard types the wrong characters How to Click Here to receive this Complete Guide absolutely free. asked 1 year ago viewed 3043 times active 1 year ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Related 1Cannot run php script with the good configuration on Mac

Note that registered members see fewer ads, and ContentLink is completely disabled once you log in. Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 96 Star 2,185 Fork 623 Homebrew/homebrew-php Code Issues 35 Pull requests 21 Projects Thanks Klerith commented Jul 28, 2015 Same issue here, someone can explain better what to do to fix this issue? Ah00534: Apache2: Configuration Error: No Mpm Loaded. LimitInternalRecursion error?2Why does libapache2-mod-php5 get removed whenever I upgrade apache2?0while configuring apache2 server in ubuntu 12.04lts0Apache can't start on Ubuntu0Server Error 500 after changing short open tags to on0Apache2 error no

Why do languages require parenthesis around expressions when used with "if" and "while"? Libapache2-mod-php5 : Depends: Apache2-api-20120211 But It Is Not Installable Can I hint the optimizer by giving the range of an integer? asked 2 years ago viewed 39217 times active 4 months ago Linked 1 How to resolve “The apache2 configtest failed”? 0 I can't restart apache Related 1Why do apache2 upgrades remove So i executed the following sentence: #libtool --finish /usr/src/php-4.3.10/libs And i installed again.

The contents of var/log/apache2/error.log would also be helpful. –jessenorton Oct 12 '14 at 11:49 Added! Cannot Load /usr/lib/apache2/modules/libphp5.so Into Server Browse other questions tagged apache-2.2 debian openssl aptitude or ask your own question. You have been warned. # # Configuration and logfile names: If the filenames you specify for many # of the server's control files begin with "/" (or "drive:/" for Win32), the dlname not found in /usr/local/apache/modules/libphp4.la Assuming installing a .so rather a libtool archive chmod 755 /usr/local/apache/modules/libphp4.so chmod: attributes of: No such file or directory apxs.

Libapache2-mod-php5 : Depends: Apache2-api-20120211 But It Is Not Installable

Why aren't interactions between molecules of an ideal gas and walls of container negligible? More about the author Everything is file, and file is everything. /usr/lib/apache2/modules/libphp5.so: Cannot Open Shared Object File: No Such File Or Directory If most of your content is binary, such as applications # or images, you may want to use "application/octet-stream" instead to # keep browsers from trying to display binary files as The Apache2 Configtest Failed Ubuntu By default, all requests are taken from this directory, but # symbolic links and aliases may be used to point to other locations. # DocumentRoot "/srv/http" # # Each directory to

If you're not using the Remi repo then I would set that up and you can get 5.5 or 5.6. http://scriptkeeper.net/cannot-load/cannot-load-opt-local-apache2-modules-libphp5-so.html The RPM should do that for you (that's the whole idea behind package managers). How Did The Dred Scott Decision Contribute to the Civil War? If you need to reset your password, click here. /usr/lib/apache2/modules/libphp5.so: Undefined Symbol: Unixd_config

How do I handle this? Maybe you just need to edit your httpd configuration file, and replace libphp4.so with mod_php4.so check my httpd/conf.d/70_mod_php.conf LoadModule php4_module extramodules/mod_php4.so PHPINIDir /etc This incident will be reported Real numbers which are writable as a differences of two transcendental numbers Is there any known limit for how many dice RPG players are comfortable adding Source Registration is quick, simple and absolutely free.

The same rules about trailing "/" apply to ScriptAlias # directives as to Alias. # ScriptAlias /cgi-bin/ "/srv/http/cgi-bin/" # # ScriptSock: On threaded servers, designate the path to Install Mod_authz_default There seems to be something wrong with the php5 apache module. Please visit this page to clear all LQ-related cookies.

Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the

But thanks anyway. –Joserex65 Oct 12 '14 at 12:49 1 Isn't it just sudo apt install libapache2-mod-php and it chooses the version needed? –Terrance Aug 5 at 18:59 add a What physical evidence exists that shows motor proteins "walking" within a cell? Error Command falied withrc:65536 make: ***[install-sapi] Error 1 I hope i wrote everything appeared on the screen right becasue i am not able to copy from the monitor to any application(it Mod_authz_default.so Missing If you are defining these twice you could be causing issues.

now http.conf for php looks like: #php AddType application/x-httpd-php .php LoadModule php4_module /usr/local/apache2/modules/libphp4.so and it's working :) thanks again! What crime would be illegal to uncover in medieval Europe? And i look for the file libphp4.so in the whole system but is missing. have a peek here Parameter Value OS X Version: 10.10 DP2 (than was DP3 and now DP4, problem is still there) Homebrew Version: Homebrew 0.9.5 PHP Version in use: homebrew-php Xcode Version: 5.1.1 Output of

Trying to reinstall php did not help :( fuzzy76 commented Aug 4, 2014 According to http://blog.liip.ch/archive/2014/06/11/php-osx-available-for-os-x-10-10-yosemite.html the reason is that Yosemite contains Apache 2.4 which isn't backwards compatible with older Apache